- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.ListMappingRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/list#body.aspect_1)

**Full name**: projects.locations.instances.ontologyRecords.mappingRules.list

Returns a paginated list of all mapping rules associated with a specific ontology record. Supports filtering by security event field name and transformation function.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/mappingRules`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Format: projects/{project}/locations/{location}/instances/{instance}/ontologyRecords/{ontologyRecord} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of mappingRules to return. The service may return fewer than this value. If unspecified, at most 50 mappingRules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `mappingRules.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `mappingRules.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of mappingRules. Only supported filters are: \* `securityEventFieldName`: Filter by securityEventFieldName. \* `transformationFunction`: Filter by transformationFunction. |
| `orderBy` | `string` Optional. Configures ordering of mappingRules in the response. If not specified, mappingRules are returned in descending order of their creation time. The default ordering is by creation time in descending order. The orderBy string is a comma-separated list of fields. Only supported orderBy fields are: \* `securityEventFieldName` \* `transformationFunction` |

### Request body

The request body must be empty.

### Response body

Response message for mappingRules.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mappingRules": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules#MappingRule`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `mappingRules[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules#MappingRule`)`` The list of mappingRules. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of mappingRules includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.mappingRules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).